import { useContext } from 'react';
import { Tag } from 'rlj-design';
import { FilterContext } from "./Filter";
import { PREFIX_CLS } from "../constants/dictionary";
import "./style/index.less";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var prefixCls = "".concat(PREFIX_CLS, "-filter-tag");

var FilterTag = function FilterTag() {
  var _ref = useContext(FilterContext) || {},
      items = _ref.items,
      total = _ref.total,
      unit = _ref.unit; // const { setFieldValue, getFieldsValue } = Form.useFormInstance();


  return /*#__PURE__*/_jsxs("span", {
    children: [/*#__PURE__*/_jsxs("span", {
      children: ["\u5171\u7B5B\u9009\u51FA", /*#__PURE__*/_jsx("span", {
        children: total
      }), unit]
    }), /*#__PURE__*/_jsx(Tag, {
      closable: true,
      children: "\u8FD9\u662F\u4E2A\u5565\u554A"
    })]
  });
};

export default FilterTag;